package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 【请填写功能名称】对象 t_ck_picktask
 * 
 * @author wms
 * @date 2022-10-13
 */
@TableName("t_ck_picktask")
public class TCkPicktask extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    @Excel(name = "")
    @TableField("taskId")
    private String taskid;

    /**  */
    @Excel(name = "")
    @TableField("plcId")
    private Long plcid;

    /**  */
    @Excel(name = "")
    @TableField("task_type")
    private int taskType;

    /**  */
    @Excel(name = "")
    @TableField("origin")
    private String origin;

    /**  */
    @Excel(name = "")
    @TableField("vessel_no")
    private String vesselNo;

    /**  */
    @Excel(name = "")
    @TableField("task_status")
    private int taskStatus;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("wipEntity")
    private String wipentity;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("goods_id")
    private String goodsId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("goods_num")
    private BigDecimal goodsNum;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("batch_no")
    private String batchNo;

    public void setTaskid(String taskid) 
    {
        this.taskid = taskid;
    }

    public String getTaskid() 
    {
        return taskid;
    }
    public void setPlcid(Long plcid) 
    {
        this.plcid = plcid;
    }

    public Long getPlcid() 
    {
        return plcid;
    }
    public void setTaskType(int taskType)
    {
        this.taskType = taskType;
    }

    public int getTaskType()
    {
        return taskType;
    }
    public void setOrigin(String origin) 
    {
        this.origin = origin;
    }

    public String getOrigin() 
    {
        return origin;
    }
    public void setVesselNo(String vesselNo) 
    {
        this.vesselNo = vesselNo;
    }

    public String getVesselNo() 
    {
        return vesselNo;
    }
    public void setTaskStatus(int taskStatus)
    {
        this.taskStatus = taskStatus;
    }

    public int getTaskStatus()
    {
        return taskStatus;
    }
    public void setWipentity(String wipentity) 
    {
        this.wipentity = wipentity;
    }

    public String getWipentity() 
    {
        return wipentity;
    }
    public void setGoodsId(String goodsId)
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId()
    {
        return goodsId;
    }
    public void setGoodsNum(BigDecimal goodsNum)
    {
        this.goodsNum = goodsNum;
    }

    public BigDecimal getGoodsNum()
    {
        return goodsNum;
    }
    public void setBatchNo(String batchNo)
    {
        this.batchNo = batchNo;
    }

    public String getBatchNo()
    {
        return batchNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("taskid", getTaskid())
            .append("plcid", getPlcid())
            .append("taskType", getTaskType())
            .append("origin", getOrigin())
            .append("vesselNo", getVesselNo())
            .append("taskStatus", getTaskStatus())
            .append("createTime", getCreateTime())
            .append("wipentity", getWipentity())
            .append("goodsId", getGoodsId())
            .append("goodsNum", getGoodsNum())
            .append("batchNo", getBatchNo())
            .toString();
    }
}
